Commit 7f3d4882 authored by Sebastian Wiesner's avatar Sebastian Wiesner

Move package meta data back to flycheck.el

Update Carton to 0.2 which is required for the `package-file` directive.
parent dd8885fc
......@@ -4,6 +4,7 @@
elpa/
# Generated package archive
flycheck-pkg.el
flycheck-*.tar
# Vagrant cache
......
(source "melpa" "http://melpa.milkbox.net/packages/")
(package "flycheck" "0.8" "On-the-fly syntax checking (Flymake done right)")
(depends-on "s" "1.3.1")
(depends-on "dash" "1.0.3")
(package-file "flycheck.el")
;; Various modes for use in the unit tests
(development
......
......@@ -70,9 +70,6 @@ virtual-test :
.PHONY: package
package : $(PACKAGE)
.PHONY: pkg-file
pkg-file : flycheck-pkg.el
$(PACKAGE) : $(PACKAGE_SRCS)
rm -rf flycheck-$(VERSION)
mkdir -p flycheck-$(VERSION)
......
;;; flycheck.el --- Flymake done right -*- lexical-binding: t; -*-
;;; flycheck.el --- On-the-fly syntax checking (Flymake done right) -*- lexical-binding: t; -*-
;; Copyright (c) 2012, 2013 Sebastian Wiesner <lunaryorn@gmail.com>
;;
;; Author: Sebastian Wiesner <lunaryorn@gmail.com>
;; URL: https://github.com/lunaryorn/flycheck
;; Keywords: convenience languages tools
;; Version: 0.8
;; Package-Requires: ((s "1.3.1") (dash "1.0.3"))
;; This file is not part of GNU Emacs.
......
......@@ -102,7 +102,7 @@ gem haml \
sass
# Install carton for Emacs dependency management
CARTON_VERSION=0.1.2
CARTON_VERSION=0.2.0
CARTON_DIR="/opt/carton-${CARTON_VERSION}"
if ! [ -d "$CARTON_DIR" -a -x "/$CARTON_DIR/bin/carton" ]; then
sudo rm -rf "$CARTON_DIR"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment